/* ----------------------------------------------------------------------------

NOTE: If you edit this file, you should make sure that the CSS rules for
buttons in the following files are updated.

* jquery-ui-dialog.css
* editor.css

EreLandd-style Buttons
=======================
Create a button by adding the `.button` class to an element. For backward
compatibility, we support several other classes (such as `.button-secondary`),
but these will *not* work with the stackable classes described below.

Button Styles
-------------
To display a primary button style, add the `.button-primary` class to a button.

Button Sizes
------------
Adjust a button's size by adding the `.button-large` or `.button-small` class.

Button States
-------------
Lock the state of a button by adding the name of the pseudoclass as
an actual class (e.g. `.hover` for `:hover`).


TABLE OF CONTENTS:
------------------
 1.0 - Button Layouts
 2.0 - Default Button Style
 3.0 - Primary Button Style
 4.0 - Button Groups
 5.0 - Responsive Button Styles

---------------------------------------------------------------------------- */

/* ----------------------------------------------------------------------------
  1.0 - Button Layouts
---------------------------------------------------------------------------- */

.ere-core-ui .button,
.ere-core-ui .button-primary,
.ere-core-ui .button-secondary {
	display: inline-block;
	text-decoration: none;
	font-size: 13px;
	line-height: 26px;
	height: 28px;
	margin: 0;
	padding: 0 10px 1px;
	cursor: pointer;
	border-width: 1px;
	border-style: solid;
	-webkit-appearance: none;
	-webkit-border-radius: 3px;
	border-radius: 3px;
	white-space: nowrap;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
}

/* Remove the dotted border on :focus and the extra padding in Firefox */
.ere-core-ui button::-moz-focus-inner,
.ere-core-ui input[type="reset"]::-moz-focus-inner,
.ere-core-ui input[type="button"]::-moz-focus-inner,
.ere-core-ui input[type="submit"]::-moz-focus-inner {
	border-width: 0;
	border-style: none;
	padding: 0;
}

.ere-core-ui .button.button-large,
.ere-core-ui .button-group.button-large .button {
	height: 30px;
    line-height: 28px;
    padding: 0 12px 2px;
}

.ere-core-ui .button.button-small,
.ere-core-ui .button-group.button-small .button {
	height: 24px;
	line-height: 22px;
	padding: 0 8px 1px;
	font-size: 11px;
}

.ere-core-ui .button.button-hero,
.ere-core-ui .button-group.button-hero .button {
	font-size: 14px;
	height: 46px;
	line-height: 44px;
	padding: 0 36px;
}

.ere-core-ui .button:active,
.ere-core-ui .button:focus {
	outline: none;
}

.ere-core-ui .button.hidden {
	display: none;
}

/* Style Reset buttons as simple text links */

.ere-core-ui input[type="reset"],
.ere-core-ui input[type="reset"]:hover,
.ere-core-ui input[type="reset"]:active,
.ere-core-ui input[type="reset"]:focus {
	background: none;
	border: none;
	-webkit-box-shadow: none;
	box-shadow: none;
	padding: 0 2px 1px;
	width: auto;
}

/* ----------------------------------------------------------------------------
  2.0 - Default Button Style
---------------------------------------------------------------------------- */

.ere-core-ui .button,
.ere-core-ui .button-secondary {
	color: #555;
	border-color: #cccccc;
	background: #f7f7f7;
	-webkit-box-shadow: 0 1px 0 #cccccc;
	box-shadow: 0 1px 0 #cccccc;
 	vertical-align: top;
}

.ere-core-ui p .button {
	vertical-align: baseline;
}

.ere-core-ui .button.hover,
.ere-core-ui .button:hover,
.ere-core-ui .button-secondary:hover,
.ere-core-ui .button.focus,
.ere-core-ui .button:focus,
.ere-core-ui .button-secondary:focus {
	background: #fafafa;
	border-color: #999;
	color: #23282d;
}

.ere-core-ui .button.focus,
.ere-core-ui .button:focus,
.ere-core-ui .button-secondary:focus,
.ere-core-ui .button-link:focus {
	border-color: #5b9dd9;
	-webkit-box-shadow: 0 0 3px rgba( 0, 115, 170, .8 );
	box-shadow: 0 0 3px rgba( 0, 115, 170, .8 );
}

.ere-core-ui .button.active,
.ere-core-ui .button.active:hover,
.ere-core-ui .button:active,
.ere-core-ui .button-secondary:active {
	background: #eee;
	border-color: #999;
	-webkit-box-shadow: inset 0 2px 5px -3px rgba( 0, 0, 0, 0.5 );
	box-shadow: inset 0 2px 5px -3px rgba( 0, 0, 0, 0.5 );
	-webkit-transform: translateY(1px);
	-ms-transform: translateY(1px);
	transform: translateY(1px);
}

.ere-core-ui .button.active:focus {
	border-color: #5b9dd9;
	-webkit-box-shadow:
		inset 0 2px 5px -3px rgba( 0, 0, 0, 0.5 ),
		0 0 3px rgba( 0, 115, 170, .8 );
	box-shadow:
		inset 0 2px 5px -3px rgba( 0, 0, 0, 0.5 ),
		0 0 3px rgba( 0, 115, 170, .8 );
}

.ere-core-ui .button[disabled],
.ere-core-ui .button:disabled,
.ere-core-ui .button.disabled,
.ere-core-ui .button-secondary[disabled],
.ere-core-ui .button-secondary:disabled,
.ere-core-ui .button-secondary.disabled,
.ere-core-ui .button-disabled {
	color: #a0a5aa !important;
	border-color: #ddd !important;
	background: #f7f7f7 !important;
	-webkit-box-shadow: none !important;
	box-shadow: none !important;
	text-shadow: 0 1px 0 #fff !important;
	cursor: default;
	-webkit-transform: none !important;
	-ms-transform: none !important;
	transform: none !important;
}

/* Buttons that look like links, for a cross of good semantics with the visual */
.ere-core-ui .button-link {
	margin: 0;
	padding: 0;
	-webkit-box-shadow: none;
	box-shadow: none;
	border: 0;
	-webkit-border-radius: 0;
	border-radius: 0;
	background: none;
	outline: none;
	cursor: pointer;
}

.ere-core-ui .button-link:focus {
	outline: #5b9dd9 solid 1px;
}

/* ----------------------------------------------------------------------------
  3.0 - Primary Button Style
---------------------------------------------------------------------------- */

.ere-core-ui .button-primary {
	background: #0085ba;
	border-color: #0073aa #006799 #006799;
	-webkit-box-shadow: 0 1px 0 #006799;
	box-shadow: 0 1px 0 #006799;
	color: #fff;
	text-decoration: none;
	text-shadow: 0 -1px 1px #006799,
		-1px 0 1px #006799,
		0 1px 1px #006799,
		1px 0 1px #006799;
}

.ere-core-ui .button-primary.hover,
.ere-core-ui .button-primary:hover,
.ere-core-ui .button-primary.focus,
.ere-core-ui .button-primary:focus {
	background: #008ec2;
	border-color: #006799;
	color: #fff;
}

.ere-core-ui .button-primary.focus,
.ere-core-ui .button-primary:focus {
	-webkit-box-shadow: 0 1px 0 #0073aa,
		0 0 2px 1px #33b3db;
	box-shadow: 0 1px 0 #0073aa,
		0 0 2px 1px #33b3db;
}

.ere-core-ui .button-primary.active,
.ere-core-ui .button-primary.active:hover,
.ere-core-ui .button-primary.active:focus,
.ere-core-ui .button-primary:active {
	background: #0073aa;
	border-color: #006799;
	-webkit-box-shadow: inset 0 2px 0 #006799;
	box-shadow: inset 0 2px 0 #006799;
	vertical-align: top;
}

.ere-core-ui .button-primary[disabled],
.ere-core-ui .button-primary:disabled,
.ere-core-ui .button-primary-disabled,
.ere-core-ui .button-primary.disabled {
	color: #66c6e4 !important;
	background: #008ec2 !important;
	border-color: #007cb2 !important;
	-webkit-box-shadow: none !important;
	box-shadow: none !important;
	text-shadow: 0 -1px 0 rgba( 0, 0, 0, 0.1 ) !important;
	cursor: default;
}

.ere-core-ui .button.button-primary.button-hero {
	-webkit-box-shadow: 0 2px 0 #006799;
 	box-shadow: 0 2px 0 #006799;
}

.ere-core-ui .button.button-primary.button-hero.active,
.ere-core-ui .button.button-primary.button-hero.active:hover,
.ere-core-ui .button.button-primary.button-hero.active:focus,
.ere-core-ui .button.button-primary.button-hero:active {
	-webkit-box-shadow: inset 0 3px 0 #006799;
 	box-shadow: inset 0 3px 0 #006799;
}

/* ----------------------------------------------------------------------------
  4.0 - Button Groups
---------------------------------------------------------------------------- */

.ere-core-ui .button-group {
	position: relative;
	display: inline-block;
	white-space: nowrap;
	font-size: 0;
	vertical-align: middle;
}

.ere-core-ui .button-group > .button {
	display: inline-block;
	-webkit-border-radius: 0;
	border-radius: 0;
	margin-left: -1px;
	z-index: 10;
}

.ere-core-ui .button-group > .button-primary {
	z-index: 100;
}

.ere-core-ui .button-group > .button:hover {
	z-index: 20;
}

.ere-core-ui .button-group > .button:first-child {
	-webkit-border-radius: 0 3px 3px 0;
	border-radius: 0 3px 3px 0;
}

.ere-core-ui .button-group > .button:last-child {
	-webkit-border-radius: 3px 0 0 3px;
	border-radius: 3px 0 0 3px;
}

.ere-core-ui .button-group > .button:focus {
	position: relative;
	z-index: 1;
}

/* ----------------------------------------------------------------------------
  5.0 - Responsive Button Styles
---------------------------------------------------------------------------- */

@media screen and ( max-width: 782px ) {

	.ere-core-ui .button,
	.ere-core-ui .button.button-large,
	.ere-core-ui .button.button-small,
	input#publish,
	input#save-post,
	a.preview {
		padding: 6px 14px;
		line-height: normal;
		font-size: 14px;
		vertical-align: middle;
		height: auto;
		margin-bottom: 4px;
	}

	#media-upload.ere-core-ui .button {
		padding: 0 10px 1px;
		height: 24px;
		line-height: 22px;
		font-size: 13px;
	}

	.media-frame.mode-grid .bulk-select .button {
		margin-bottom: 0;
	}

	/* Publish Metabox Options */
	.ere-core-ui .save-post-status.button {
		position: relative;
		margin: 0 10px 0 14px; /* 14px right margin to match all other buttons */
	}

	/* Reset responsive styles in Press This, Customizer */

	.ere-core-ui.ere-customizer .button {
		padding: 0 10px 1px;
		font-size: 13px;
		line-height: 26px;
		height: 28px;
		margin: 0;
		vertical-align: inherit;
	}

	/* Reset responsive styles on Log in button on iframed login form */

	.interim-login .button.button-large {
		height: 30px;
		line-height: 28px;
		padding: 0 12px 2px;
	}

}
